## jsonpickle 0.3.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/jsonpickle.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/jsonpickle.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## jsonpickle 0.6.1

=== debian/changelog ===
jsonpickle (0.6.1-1) unstable; urgency=medium

  * New upstream version
  * run wrap-and-sort
  * bump Standards-Version to 3.9.5 (no changes)
  * enable unit tests:
    - add python-feedparser and python-simplejson to Build-Depends
    - add override_dh_auto_test in debian/rules to run tests/runtests.py
    - use debian source format 3.0 (quilt) to enable patching
  * add Python 3 support:
    - add new binary package python3-jsonpickle
    - add dh-python, python3, python3-feedparse and python3-simplejson to
      Build-Depends
    - use pybuild as buildsystem
    - add X-Python-Version and X-Python3-Version to source package stanza
  * add doc package:
    - add new binary package python-jsonpickle-doc
    - add python-sphinx to Build-Depends
    - add patch debian/patches/disable-unsupported-sphinx-extension.patch to
      disable Sphinx extensions that are either not packaged in Debian or need
      remote access at build time
    - add override_dh_auto_build, override_dh_auto_install and
      override_dh_sphinxdoc to build and install Sphinx documentation properly
    - add debian/python-jsonpickle-doc.doc-base for docbase registration

 -- Jan Dittberner <jandd@debian.org>  Sun, 02 Feb 2014 10:39:47 +0100

jsonpickle (0.4.0-1) unstable; urgency=low

  [ John Paulett ]
  * New upstream release
  * Bump Standards-Version to 3.9.2

  [ Jan Dittberner ]
  * update copyright years in debian/copyright
  * switch from python-support to dh_python2
    - drop python-support Dependency
    - bump python dependency to 2.6.6-3~
    - add --with python2 to dh invocation in debian/rules
  * add myself to Uploaders
  * change Vcs-Svn and Vcs-Browser in debian/control to new anonscm URLs

 -- Jan Dittberner <jandd@debian.org>  Wed, 22 Jun 2011 14:01:24 +0200

jsonpickle (0.3.1-2) unstable; urgency=low

  * Add dependency on ${python:Depends} (Closes: 591986)
  * add explicit copy of license to debian/copyright

 -- Mike O'Connor <stew@debian.org>  Mon, 23 Aug 2010 18:57:38 -0400

jsonpickle (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: bug#560877)

 -- John Paulett <john@paulett.org>  Mon, 16 Nov 2009 20:05:50 -0600

=== debian/control ===
Source: jsonpickle
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: John Paulett <john@paulett.org>, Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>= 7.0.50),
               dh-python,
               python,
               python-feedparser,
               python-simplejson,
               python-sphinx (>= 1.0.7+dfsg-1~),
               python3,
               python3-feedparser,
               python3-simplejson
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/jsonpickle/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/jsonpickle/trunk/
Homepage: http://jsonpickle.github.com
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-jsonpickle
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Suggests: python-simplejson
Description: Python library for serializing object graphs into JSON (Python 2)
 jsonpickle is a Python library for serialization and deserialization of
 complex Python objects to and from JSON. The standard Python libraries for
 encoding Python into JSON, such as the stdlib’s json, simplejson, and
 demjson,  can only handle Python primitives that have a direct JSON
 equivalent (e.g. dicts, lists, strings, ints, etc.). jsonpickle builds on
 top of these libraries and allows more complex data structures to be
 serialized to JSON. jsonpickle is highly configurable and
 extendable–allowing the user to choose the JSON backend  and add additional
 backends.
 .
 This is the Python 2 version of the package.

Package: python3-jsonpickle
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Suggests: python3-simplejson
Description: Python library for serializing object graphs into JSON (Python 3)
 jsonpickle is a Python library for serialization and deserialization of
 complex Python objects to and from JSON. The standard Python libraries for
 encoding Python into JSON, such as the stdlib’s json, simplejson, and
 demjson,  can only handle Python primitives that have a direct JSON
 equivalent (e.g. dicts, lists, strings, ints, etc.). jsonpickle builds on
 top of these libraries and allows more complex data structures to be
 serialized to JSON. jsonpickle is highly configurable and
 extendable–allowing the user to choose the JSON backend  and add additional
 backends.
 .
 This is the Python 3 version of the package.

Package: python-jsonpickle-doc
Architecture: all
Section: doc
Priority: extra
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python library for serializing object graphs into JSON (documentation)
 jsonpickle is a Python library for serialization and deserialization of
 complex Python objects to and from JSON. The standard Python libraries for
 encoding Python into JSON, such as the stdlib’s json, simplejson, and
 demjson,  can only handle Python primitives that have a direct JSON
 equivalent (e.g. dicts, lists, strings, ints, etc.). jsonpickle builds on
 top of these libraries and allows more complex data structures to be
 serialized to JSON. jsonpickle is highly configurable and
 extendable–allowing the user to choose the JSON backend  and add additional
 backends.
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
export PYBUILD_DESTDIR_python2=debian/python-jsonpickle
export PYBUILD_DESTDIR_python3=debian/python3-jsonpickle

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	sphinx-build -N -q -E -b html docs/source docs/build

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/python-jsonpickle-doc/usr/share/doc/python-jsonpickle-doc
	mv docs/build $(CURDIR)/debian/python-jsonpickle-doc/usr/share/doc/python-jsonpickle-doc/html

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="tests/runtests.py" dh_auto_test

override_dh_sphinxdoc:
	dh_sphinxdoc -p python-jsonpickle-doc

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/j/jsonpickle/ jsonpickle-(.*)\.tar\.gz

## jsonpickle 0.8.0

=== debian/changelog ===
jsonpickle (0.8.0-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 17:16:00 +0000

jsonpickle (0.8.0-1) unstable; urgency=medium

  * New upstream version
  * change debian/copyright to machine readable format, update copyright years
  * simplify debian/rules and build documentation in
    override_dh_sphinxdoc

 -- Jan Dittberner <jandd@debian.org>  Sun, 28 Sep 2014 18:57:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jsonpickle
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: John Paulett <john@paulett.org>, Jan Dittberner <jandd@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
                dh-python,

## jsonpickle 0.9.2

=== requirements.txt ===
simplejson
demjson
jsonlib
yajl
ujson

=== debian/changelog ===
jsonpickle (0.9.2-1) unstable; urgency=medium

  * New upstream version
  * use PyPI redirector for watch file
  * disable debian/patches/disable-tests-for-unpackaged-libraries.patch
  * add python-numpy and python3-numpy to Build-Depends for new tests
  * change debian/compat to 9, bump debhelper version to >= 9
  * bump Standards-Version to 3.9.6 (no changes needed)
  * install docs/source/changelog.rst as upstream changelog
  * add debian/upstream/signing-key.asc and add pgpsigurlmangle to watch
    file
  * add Suggests for python-numpy for python-jsonpickle and python3-
    numpy for python3-jsonpickle

 -- Jan Dittberner <jandd@debian.org>  Sun, 13 Sep 2015 18:36:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: jsonpickle
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: John Paulett <john@paulett.org>, Jan Dittberner <jandd@debian.org>
-Build-Depends: debhelper (>= 7.0.50),
+Build-Depends: debhelper (>= 9),
                dh-python,
                python,
                python-feedparser,
+               python-numpy,
                python-simplejson,
                python-sphinx (>= 1.0.7+dfsg-1~),
                python3,
                python3-feedparser,
+               python3-numpy,
                python3-simplejson
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/jsonpickle/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/jsonpickle/trunk/
 Homepage: http://jsonpickle.github.com
@@ -24,7 +25,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Provides: ${python:Provides}
-Suggests: python-simplejson
+Suggests: python-simplejson, python-numpy
 Description: Python library for serializing object graphs into JSON (Python 2)
  jsonpickle is a Python library for serialization and deserialization of
  complex Python objects to and from JSON. The standard Python libraries for
@@ -42,7 +43,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Provides: ${python3:Provides}
-Suggests: python3-simplejson
+Suggests: python3-simplejson, python3-numpy
 Description: Python library for serializing object graphs into JSON (Python 3)
  jsonpickle is a Python library for serialization and deserialization of
  complex Python objects to and from JSON. The standard Python libraries for

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
export PYBUILD_DESTDIR_python2=debian/python-jsonpickle
export PYBUILD_DESTDIR_python3=debian/python3-jsonpickle

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="tests/runtests.py" dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs -i docs/source/changelog.rst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html docs/source $(CURDIR)/debian/python-jsonpickle-doc/usr/share/doc/python-jsonpickle-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## jsonpickle 0.9.3

=== debian/changelog ===
jsonpickle (0.9.3-2) unstable; urgency=medium

  * Improve the way we call the test suite, based on suggestion of Piotr.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 09 Mar 2016 11:05:43 +0100

jsonpickle (0.9.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Includes fixes for NumPy 1.10.x. Closes: #812114
  * Update Standards-Version to 3.9.7.
  * Update Vcs-Git to use https URL.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 09 Mar 2016 10:26:45 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                python3-feedparser,
                python3-numpy,
                python3-simplejson
-Standards-Version: 3.9.6
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/jsonpickle/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/jsonpickle/trunk/
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jsonpickle.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/jsonpickle.git
 Homepage: http://jsonpickle.github.com
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

## jsonpickle 0.9.5

=== debian/changelog ===
jsonpickle (0.9.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version, build with Python 3.6 (Closes: #865926)
  * Replace python and python3 by python-all and python3-all in Build-Depends
  * Add python-bson and python3-bson to Build-Depends
  * Bump Standards-Version to 4.0.0

 -- Sophie Brun <sophie@freexian.com>  Mon, 21 Aug 2017 11:29:37 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,21 @@
 Uploaders: John Paulett <john@paulett.org>, Jan Dittberner <jandd@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python,
+               python-all,
+               python-bson,
                python-feedparser,
                python-numpy,
                python-simplejson,
                python-sphinx (>= 1.0.7+dfsg-1~),
-               python3,
+               python3-all,
+               python3-bson,
                python3-feedparser,
                python3-numpy,
                python3-simplejson
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jsonpickle.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/jsonpickle.git
-Homepage: http://jsonpickle.github.com
+Homepage: https://jsonpickle.github.com
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="tests/runtests.py" dh_auto_test
+	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} {interpreter} tests/runtests.py" dh_auto_test
 
 override_dh_installchangelogs:
 	dh_installchangelogs -i docs/source/changelog.rst

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/jsonpickle/jsonpickle-(.*)\.tar\.gz

## jsonpickle 1.2

=== debian/changelog ===
jsonpickle (1.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.2
  * Remove signing-key and update d/watch
  * Remove override_dh_auto_test in d/rules
    - Using python3-pytest and python3-pytest-cov instead.
  * Skip tests that fails under python3.8. closes: #946304
  * Increase test coverage with python3-pandas.
  * Added doc package in suggests line.
  * Bump dh to 12

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 14 Dec 2019 08:30:55 +0100

jsonpickle (0.9.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #936769
  * debian/control
    - bump Standards-Version to 4.4.1 (no changes needed)
  * debian/patches/sphinx-py3k.patch
    - cast filter to list, make sphinx config py3k compatible

 -- Sandro Tosi <morph@debian.org>  Sun, 27 Oct 2019 11:35:27 -0400

=== debian/control ===
Source: jsonpickle
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: John Paulett <john@paulett.org>, Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-sphinx,
               python3-all,
               python3-bson,
               python3-feedparser,
               python3-numpy,
               python3-simplejson,
               python3-pytest,
               python3-pytest-cov,
               python3-pandas
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/python-team/modules/jsonpickle.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/jsonpickle
Homepage: https://jsonpickle.github.com

Package: python3-jsonpickle
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Suggests: python3-simplejson, python3-numpy, python-jsonpickle-doc
Description: Python library for serializing object graphs into JSON (Python 3)
 jsonpickle is a Python library for serialization and deserialization of
 complex Python objects to and from JSON. The standard Python libraries for
 encoding Python into JSON, such as the stdlib’s json, simplejson, and
 demjson,  can only handle Python primitives that have a direct JSON
 equivalent (e.g. dicts, lists, strings, ints, etc.). jsonpickle builds on
 top of these libraries and allows more complex data structures to be
 serialized to JSON. jsonpickle is highly configurable and
 extendable–allowing the user to choose the JSON backend  and add additional
 backends.
 .
 This is the Python 3 version of the package.

Package: python-jsonpickle-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python library for serializing object graphs into JSON (documentation)
 jsonpickle is a Python library for serialization and deserialization of
 complex Python objects to and from JSON. The standard Python libraries for
 encoding Python into JSON, such as the stdlib’s json, simplejson, and
 demjson,  can only handle Python primitives that have a direct JSON
 equivalent (e.g. dicts, lists, strings, ints, etc.). jsonpickle builds on
 top of these libraries and allows more complex data structures to be
 serialized to JSON. jsonpickle is highly configurable and
 extendable–allowing the user to choose the JSON backend  and add additional
 backends.
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
export PYBUILD_DESTDIR_python3=debian/python3-jsonpickle

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -i docs/source/changelog.rst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html docs/source $(CURDIR)/debian/python-jsonpickle-doc/usr/share/doc/python-jsonpickle-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/jsonpickle/jsonpickle-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## jsonpickle 2.0.0%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,40 @@
 Source: jsonpickle
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: John Paulett <john@paulett.org>, Jan Dittberner <jandd@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: John Paulett <john@paulett.org>,
+           Jan Dittberner <jandd@debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-sphinx,
                python3-all,
                python3-bson,
                python3-feedparser,
                python3-numpy,
-               python3-simplejson,
+               python3-pandas,
                python3-pytest,
                python3-pytest-cov,
-               python3-pandas
-Standards-Version: 4.4.1
-Vcs-Git: https://salsa.debian.org/python-team/modules/jsonpickle.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/jsonpickle
-Homepage: https://jsonpickle.github.com
+               python3-pytest-flake8,
+               python3-setuptools,
+               python3-setuptools-scm,
+               python3-simplejson,
+               python3-sklearn,
+               python3-sphinx,
+               python3-sqlalchemy,
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/python-team/packages/jsonpickle.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/jsonpickle
+Homepage: https://github.com/jsonpickle/jsonpickle
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-jsonpickle
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Provides: ${python3:Provides}
-Suggests: python3-simplejson, python3-numpy, python-jsonpickle-doc
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
+Suggests: python-jsonpickle-doc,
+          python3-numpy,
+          python3-simplejson,
 Description: Python library for serializing object graphs into JSON (Python 3)
  jsonpickle is a Python library for serialization and deserialization of
  complex Python objects to and from JSON. The standard Python libraries for
@@ -40,7 +51,9 @@
 Package: python-jsonpickle-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Python library for serializing object graphs into JSON (documentation)
  jsonpickle is a Python library for serialization and deserialization of
  complex Python objects to and from JSON. The standard Python libraries for

## jsonpickle 2.0.0+dfsg1

=== Makefile ===
#!/usr/bin/env make

# External commands
BLACK ?= black
CTAGS ?= ctags
FIND ?= find
PYTHON ?= python
PYTEST ?= $(PYTHON) -m pytest
RM_R ?= rm -fr
SH ?= sh
TOX ?= tox
# Detect macOS to customize how we query the cpu count.
uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo unknown')
ifeq ($(uname_S),Darwin)
    NPROC ?= sysctl -n hw.activecpu
else
    NPROC ?= nproc
endif

# Options
flags ?=
timeout ?= 600

# Default job count -- this is used if "-j" is not present in MAKEFLAGS.
nproc := $(shell sh -c '$(NPROC) 2>/dev/null || echo 4')

# Extract the "-j#" flags in $(MAKEFLAGS) so that we can forward the value to
# other commands.  This can be empty.
JOB_FLAGS := $(shell echo -- $(MAKEFLAGS) | grep -o -e '-j[0-9]\+' | head -n 1)
# Extract just the number from "-j#".
JOB_COUNT := $(shell printf '%s' "$(JOB_FLAGS)" | sed -e 's/-j//')
# We have "-jX" from MAKEFLAGS but tox wants "--parallel X"
DASH_J := $(shell echo -- $(JOB_FLAGS) -j$(nproc) | grep -o -e '-j[0-9]\+' | head -n 1)
NUM_JOBS := $(shell printf %s "$(DASH_J)" | sed -e 's/-j//')

TESTCMD ?= $(PYTEST)
TOXCMD ?= $(TOX)
TOXCMD += --develop --skip-missing-interpreters
ifdef multi
    TOXCMD += --parallel $(NUM_JOBS)
    TOXCMD += -e
    TOXCMD += 'clean,py{27,36,37,38,39},py{27,38,39}-sa{10,11,12,13},py{27,38,39}-libs'
    # Disable coverage when running in parallel
    TOXCMD += -- --no-cov
endif
ifdef V
    TESTCMD += --verbose
    TOXCMD += -v
endif

# Coverage
COVERAGE_ENV ?= py39

# Data
ARTIFACTS := build
ARTIFACTS += dist
ARTIFACTS += __pycache__
ARTIFACTS += tags
ARTIFACTS += *.egg-info

PYTHON_DIRS := tests
PYTHON_DIRS += jsonpickle

# The default target of this makefile is....
all:: help

help:
	@echo "---- Makefile Targets ----"
	@echo "make help            - print this message"
	@echo "make test            - run unit tests"
	@echo "make tox		        - run unit tests using tox"
	@echo "make tox multi=1     - run unit tests on multiple pythons using tox"
	@echo "make clean           - remove cruft"
.PHONY: help

test:
	$(TESTCMD) $(flags)
.PHONY: test

tox:
	$(TOXCMD) $(flags)
.PHONY: tox

tags:
	$(FIND) $(PYTHON_DIRS) -name '*.py' -print0 | xargs -0 $(CTAGS) -f tags

clean:
	$(FIND) $(PYTHON_DIRS) -name '*.py[cod]' -print0 | xargs -0 rm -f
	$(FIND) $(PYTHON_DIRS) -name '__pycache__' -print0 | xargs -0 rm -fr
	$(RM_R) $(ARTIFACTS)
.PHONY: clean

format::
	$(BLACK) --skip-string-normalization --target-version py27 $(PYTHON_DIRS)
.PHONY: format

=== debian/changelog ===
jsonpickle (2.0.0+dfsg1-1) unstable; urgency=medium

  * Team upload
  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-jsonpickle-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.

  [ Håvard Flaget Aasen ]
  * New upstream version 2.0.0
    - New upstream release support numpy > 1.20. Closes: #999536
    - Repack source to remove minified javascript files.
  * Rebase patches and mark forwarded not needed.
  * New Patch: Disable testing with black.
  * d/watch:
    - Update to version 4.
    - Drop uversionmangle, doesn't match anything upstream.
  * Update standards version to 4.6.0.
  * d/control:
    - Update URL for homepage.
    - Add Rules-Requires-Root
    - Add build dependencies, python3-setuptools, python3-setuptools-scm,
      python3-sklearn, python3-pytest-flake8 and python3-sqlalchemy.
  * d/rules:
    - Upstream changelog is automatically installed.
    - Update path to build documentation.
    - Delete unneeded file.
  * d/source: Add options file, to ignore egg-info changes.
  * d/copyright:
    - Update upstream contact.
    - Add new file entries and update year.
    - Correct the source URL, downloaded from PyPI.
  * run wrap-and-sort

  [ Stefano Rivera ]
  * Drop use of ${python3:Provides}, long deprecated.
  * Add autopkgtest running upstream unit tests.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 14 Nov 2021 06:28:38 +0100

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
export PYBUILD_DESTDIR_python3=debian/python3-jsonpickle

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_install:
	find $(CURDIR) -name .coverage -delete

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html docs/ $(CURDIR)/debian/python-jsonpickle-doc/usr/share/doc/python-jsonpickle-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/tests/control ===
Tests: unittests
Depends: python3-all,
         python3-bson,
         python3-feedparser,
         python3-numpy,
         python3-pandas,
         python3-pytest,
         python3-simplejson,
         python3-sklearn,
         python3-sqlalchemy,
         @

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg1 \
https://pypi.debian.net/jsonpickle/jsonpickle-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## jsonpickle 3.0.0+dfsg1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/env make
+
+DATEANDTIME=$(shell date +%Y-%m-%dT%T%z)
 
 # External commands
 BLACK ?= black
@@ -6,6 +8,8 @@
 FIND ?= find
 PYTHON ?= python
 PYTEST ?= $(PYTHON) -m pytest
+SPHINX ?= $(PYTHON) -m sphinx
+BENCHMARK ?= py.test
 RM_R ?= rm -fr
 SH ?= sh
 TOX ?= tox
@@ -34,22 +38,24 @@
 NUM_JOBS := $(shell printf %s "$(DASH_J)" | sed -e 's/-j//')
 
 TESTCMD ?= $(PYTEST)
+BENCHMARKCMD ?= $(BENCHMARK)
 TOXCMD ?= $(TOX)
 TOXCMD += --develop --skip-missing-interpreters
 ifdef multi
     TOXCMD += --parallel $(NUM_JOBS)
     TOXCMD += -e
-    TOXCMD += 'clean,py{27,36,37,38,39},py{27,38,39}-sa{10,11,12,13},py{27,38,39}-libs'
+    TOXCMD += 'clean,py{37,38,39,310},py{38,39,310}-sa{12,13},py{38,39,310}-libs'
     # Disable coverage when running in parallel
     TOXCMD += -- --no-cov
 endif
 ifdef V
     TESTCMD += --verbose
     TOXCMD += -v
+    BENCHMARKCMD += --benchmark-verbose
 endif
 
 # Coverage
-COVERAGE_ENV ?= py39
+COVERAGE_ENV ?= py310
 
 # Data
 ARTIFACTS := build
@@ -64,32 +70,41 @@
 # The default target of this makefile is....
 all:: help
 
-help:
+help::
 	@echo "---- Makefile Targets ----"
-	@echo "make help            - print this message"
-	@echo "make test            - run unit tests"
-	@echo "make tox		        - run unit tests using tox"
-	@echo "make tox multi=1     - run unit tests on multiple pythons using tox"
-	@echo "make clean           - remove cruft"
+	@echo "make help           - print this message"
+	@echo "make test           - run unit tests"
+	@echo "make tox            - run unit tests using tox"
+	@echo "make tox multi=1    - run unit tests on multiple pythons using tox"
+	@echo "make clean          - remove cruft"
+	@echo "make benchmark      - run pytest benchmarking"
+	@echo "make doc            - generate documentation using sphinx"
 .PHONY: help
 
-test:
+test::
 	$(TESTCMD) $(flags)
 .PHONY: test
 
-tox:
+tox::
 	$(TOXCMD) $(flags)
 .PHONY: tox
 
-tags:
+benchmark::
+	$(BENCHMARKCMD) --benchmark-only --benchmark-histogram=./images/benchmark-$(DATEANDTIME) ./jsonpickle_benchmarks.py
+.PHONY: benchmark
+
+doc::
+	$(SPHINX) docs build/html
+
+tags::
 	$(FIND) $(PYTHON_DIRS) -name '*.py' -print0 | xargs -0 $(CTAGS) -f tags
 
-clean:
+clean::
 	$(FIND) $(PYTHON_DIRS) -name '*.py[cod]' -print0 | xargs -0 rm -f
 	$(FIND) $(PYTHON_DIRS) -name '__pycache__' -print0 | xargs -0 rm -fr
 	$(RM_R) $(ARTIFACTS)
 .PHONY: clean
 
 format::
-	$(BLACK) --skip-string-normalization --target-version py27 $(PYTHON_DIRS)
+	$(BLACK) --skip-string-normalization --target-version py310 $(PYTHON_DIRS)
 .PHONY: format

=== debian/changelog ===
jsonpickle (3.0.0+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. (Closes: #1024953)
  * d/patches: remove 'do-not-test-with-black.patch', as it's no longer
    relevant.
  * d/control, d/tests/control: refresh build dependencies.
  * Don't run tests with test coverage or flake8.
  * Skip tests/ecdsa_test.py, it fails for no good reason.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 02 Dec 2022 10:59:06 -0500

jsonpickle (2.0.0+dfsg1-2) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * Change main branch from 'master' to 'debian/master', in accordance to the
    DPT policy.
  * d/gbp.conf: add file.
  * d/pybuild.testfiles, d/tests/unittests: run tests with the upstream
    .flake8 configuration file. Closes: #1020120
  * d/control: build using pybuild's PEP517 pyproject interface.
  * d/control: Standards-Version update to 4.6.1. No changes.
  * d/control: remove trivial and unnecessary autodep8 test.
  * d/tests: run autopkgtest for all supported version of Python.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 10 Oct 2022 15:19:20 -0400

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,29 @@
            Jan Dittberner <jandd@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-bson,
+               python3-ecdsa,
                python3-feedparser,
+               python3-gmpy2,
                python3-numpy,
                python3-pandas,
+               python3-pymongo,
                python3-pytest,
-               python3-pytest-cov,
-               python3-pytest-flake8,
                python3-setuptools,
                python3-setuptools-scm,
+               python3-sklearn,
+               python3-scipy,
                python3-simplejson,
-               python3-sklearn,
                python3-sphinx,
                python3-sqlalchemy,
-Standards-Version: 4.6.0
+               python3-ujson,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/jsonpickle.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jsonpickle
 Homepage: https://github.com/jsonpickle/jsonpickle
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-jsonpickle
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 #DH_VERBOSE = 1
+
 export PYBUILD_DESTDIR_python3=debian/python3-jsonpickle
+export PYBUILD_TEST_ARGS=-k 'not tests/ecdsa_test.py'
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -8,4 +8,5 @@
          python3-simplejson,
          python3-sklearn,
          python3-sqlalchemy,
+         python3-gmpy2,
          @

## jsonpickle 3.0.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -6,12 +6,11 @@
 BLACK ?= black
 CTAGS ?= ctags
 FIND ?= find
-PYTHON ?= python
+PYTHON ?= python3
 PYTEST ?= $(PYTHON) -m pytest
 SPHINX ?= $(PYTHON) -m sphinx
 BENCHMARK ?= py.test
 RM_R ?= rm -fr
-SH ?= sh
 TOX ?= tox
 # Detect macOS to customize how we query the cpu count.
 uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo unknown')
@@ -23,7 +22,6 @@
 
 # Options
 flags ?=
-timeout ?= 600
 
 # Default job count -- this is used if "-j" is not present in MAKEFLAGS.
 nproc := $(shell sh -c '$(NPROC) 2>/dev/null || echo 4')
@@ -37,25 +35,14 @@
 DASH_J := $(shell echo -- $(JOB_FLAGS) -j$(nproc) | grep -o -e '-j[0-9]\+' | head -n 1)
 NUM_JOBS := $(shell printf %s "$(DASH_J)" | sed -e 's/-j//')
 
-TESTCMD ?= $(PYTEST)
+TESTCMD ?= $(PYTEST) -p no:cacheprovier
 BENCHMARKCMD ?= $(BENCHMARK)
-TOXCMD ?= $(TOX)
-TOXCMD += --develop --skip-missing-interpreters
-ifdef multi
-    TOXCMD += --parallel $(NUM_JOBS)
-    TOXCMD += -e
-    TOXCMD += 'clean,py{37,38,39,310},py{38,39,310}-sa{12,13},py{38,39,310}-libs'
-    # Disable coverage when running in parallel
-    TOXCMD += -- --no-cov
-endif
+TOXCMD ?= $(TOX) run-parallel --parallel-live
 ifdef V
     TESTCMD += --verbose
     TOXCMD += -v
     BENCHMARKCMD += --benchmark-verbose
 endif
-
-# Coverage
-COVERAGE_ENV ?= py310
 
 # Data
 ARTIFACTS := build
@@ -75,7 +62,6 @@
 	@echo "make help           - print this message"
 	@echo "make test           - run unit tests"
 	@echo "make tox            - run unit tests using tox"
-	@echo "make tox multi=1    - run unit tests on multiple pythons using tox"
 	@echo "make clean          - remove cruft"
 	@echo "make benchmark      - run pytest benchmarking"
 	@echo "make doc            - generate documentation using sphinx"

=== debian/changelog ===
jsonpickle (3.0.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Compatibility with Pandas and Cython 3.0 was added (closes: #1064705).
  * Update mechanism used to build documentation offline.

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 Mar 2024 16:23:45 +0000

jsonpickle (3.0.2+dfsg-1) unstable; urgency=medium

  [ Håvard F. Aasen ]
  * Team upload.
  * New upstream release.
    - 3.0.1 Added support for Python 3.12 Closes: #1056416
    - 3.0.2 Added support for Pandas 2.0 Closes: #1044075
  * d/patches: Convert disable-test-extensions.patch to gbp pq and mark it
    forwarded not-needed.
  * Drop '1' in dfsg version.
  * Update Standards-Version to 4.6.2, no changes needed.
  * Add python3-setuptools as autopkgtest dependency.

  [ Jeroen Ploemen ]
  * Copyright: add missing info for some of the tests.
  * Control: remove unused build-deps.
  * Control: mark test-only build-deps <!nocheck>.
  * Tests: replace d/tests with Testsuite: autopkgtest-pkg-pybuild.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 09 Dec 2023 12:02:25 +0000

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,23 @@
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-bson,
-               python3-ecdsa,
-               python3-feedparser,
-               python3-gmpy2,
-               python3-numpy,
-               python3-pandas,
-               python3-pymongo,
-               python3-pytest,
+               python3-bson <!nocheck>,
+               python3-ecdsa <!nocheck>,
+               python3-feedparser <!nocheck>,
+               python3-gmpy2 <!nocheck>,
+               python3-numpy <!nocheck>,
+               python3-pandas <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-sklearn,
-               python3-scipy,
-               python3-simplejson,
+               python3-sklearn <!nocheck>,
+               python3-simplejson <!nocheck>,
                python3-sphinx,
-               python3-sqlalchemy,
-               python3-ujson,
-Standards-Version: 4.6.1
+               python3-sqlalchemy <!nocheck>,
+               python3-ujson <!nocheck>,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/jsonpickle.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jsonpickle
 Homepage: https://github.com/jsonpickle/jsonpickle

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,6 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html docs/ $(CURDIR)/debian/python-jsonpickle-doc/usr/share/doc/python-jsonpickle-doc/html
+	JSONPICKLE_SPHINX_DISABLE=intersphinx sphinx-build -b html docs/ $(CURDIR)/debian/python-jsonpickle-doc/usr/share/doc/python-jsonpickle-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif

## jsonpickle 3.2.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 PYTHON ?= python3
 PYTEST ?= $(PYTHON) -m pytest
 SPHINX ?= $(PYTHON) -m sphinx
-BENCHMARK ?= py.test
+BENCHMARK ?= pytest
 RM_R ?= rm -fr
 TOX ?= tox
 # Detect macOS to customize how we query the cpu count.
@@ -35,7 +35,7 @@
 DASH_J := $(shell echo -- $(JOB_FLAGS) -j$(nproc) | grep -o -e '-j[0-9]\+' | head -n 1)
 NUM_JOBS := $(shell printf %s "$(DASH_J)" | sed -e 's/-j//')
 
-TESTCMD ?= $(PYTEST) -p no:cacheprovier
+TESTCMD ?= $(PYTEST)
 BENCHMARKCMD ?= $(BENCHMARK)
 TOXCMD ?= $(TOX) run-parallel --parallel-live
 ifdef V
@@ -68,7 +68,7 @@
 .PHONY: help
 
 test::
-	$(TESTCMD) $(flags)
+	$(TESTCMD) jsonpickle tests $(flags)
 .PHONY: test
 
 tox::

=== debian/changelog ===
jsonpickle (3.2.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Jun 2024 12:01:23 +0100

jsonpickle (3.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Jun 2024 18:24:24 +0100

jsonpickle (3.0.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop telling pytest to exclude ecdsa tests.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Apr 2024 16:51:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 #DH_VERBOSE = 1
 
 export PYBUILD_DESTDIR_python3=debian/python3-jsonpickle
-export PYBUILD_TEST_ARGS=-k 'not tests/ecdsa_test.py'
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## jsonpickle 3.3.0+dfsg

=== debian/changelog ===
jsonpickle (3.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Sep 2024 12:58:17 +0100

## jsonpickle 3.4.1+dfsg

=== debian/changelog ===
jsonpickle (3.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 05 Nov 2024 18:31:12 +0000

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
 Suggests: python-jsonpickle-doc,
           python3-numpy,
           python3-simplejson,
-Description: Python library for serializing object graphs into JSON (Python 3)
+Description: Serialize any Python object to JSON (Python 3)
  jsonpickle is a Python library for serialization and deserialization of
  complex Python objects to and from JSON. The standard Python libraries for
  encoding Python into JSON, such as the stdlib’s json, simplejson, and
@@ -56,7 +56,7 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Multi-Arch: foreign
-Description: Python library for serializing object graphs into JSON (documentation)
+Description: Serialize any Python object to JSON (documentation)
  jsonpickle is a Python library for serialization and deserialization of
  complex Python objects to and from JSON. The standard Python libraries for
  encoding Python into JSON, such as the stdlib’s json, simplejson, and

## jsonpickle 4.0.1+dfsg

=== debian/changelog ===
jsonpickle (4.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Simplify a debhelper override slightly.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Dec 2024 09:00:39 +0000

jsonpickle (4.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Nov 2024 12:17:09 +0100

jsonpickle (3.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Nov 2024 17:44:02 +0000

## jsonpickle 4.0.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 PYTHON ?= python3
 PYTEST ?= $(PYTHON) -m pytest
 SPHINX ?= $(PYTHON) -m sphinx
-BENCHMARK ?= pytest
+BENCHMARK ?= $(PYTEST)
 RM_R ?= rm -fr
 TOX ?= tox
 # Detect macOS to customize how we query the cpu count.
@@ -22,6 +22,9 @@
 
 # Options
 flags ?=
+
+# Capture extra arguments for the benchmark target
+EXTRA_BENCH_ARGS ?= 
 
 # Default job count -- this is used if "-j" is not present in MAKEFLAGS.
 nproc := $(shell sh -c '$(NPROC) 2>/dev/null || echo 4')
@@ -50,9 +53,11 @@
 ARTIFACTS += __pycache__
 ARTIFACTS += tags
 ARTIFACTS += *.egg-info
+ARTIFACTS += fuzz_*.pkg.spec # Files created by OSS-Fuzz when running locally
 
 PYTHON_DIRS := tests
 PYTHON_DIRS += jsonpickle
+PYTHON_DIRS += fuzzing
 
 # The default target of this makefile is....
 all:: help
@@ -76,7 +81,57 @@
 .PHONY: tox
 
 benchmark::
-	$(BENCHMARKCMD) --benchmark-only --benchmark-histogram=./images/benchmark-$(DATEANDTIME) ./jsonpickle_benchmarks.py
+	@if [ "$(uname_S)" = "Linux" ]; then \
+		echo "Operating System detected: Linux"; \
+		\
+		if [ -f /etc/os-release ]; then \
+			. /etc/os-release; \
+			if [ "$$ID" = "ubuntu" ]; then \
+				echo "Ubuntu detected."; \
+				\
+				if ! command -v taskset >/dev/null 2>&1; then \
+					echo "'taskset' not found. We need this to reduce noise. Installing util-linux..."; \
+					\
+					sudo apt-get update && \
+					\
+					sudo apt-get install -y util-linux && \
+					\
+					if ! command -v taskset >/dev/null 2>&1; then \
+						echo "Failed to install util-linux. Please install it manually."; \
+						exit 1; \
+					else \
+						echo "Successfully installed util-linux."; \
+					fi; \
+				else \
+					echo "'taskset' is already installed."; \
+				fi; \
+			else \
+				echo "Non-Ubuntu Linux distribution detected. Skipping util-linux installation."; \
+			fi; \
+		else \
+			echo "Cannot detect OS. Skipping util-linux installation."; \
+		fi; \
+		\
+		NUM_CORES=`$(NPROC)`; \
+		\
+		# use #cores / 2 - 1 because cores 0, 1, and last get most noise \
+		# and we divide by 2 to get physical cores for systems with SMT (most x86) \
+		# so this works well for 4+ core machines \
+		if [ $$NUM_CORES -gt 16 ]; then \
+			TARGET_CORE=7; \
+		else \
+			TARGET_CORE=$$((NUM_CORES / 2 - 1)); \
+		fi; \
+		\
+		echo "Running '$(BENCHMARKCMD)' on core $$TARGET_CORE of $$NUM_CORES cores."; \
+		\
+		# execute the benchmark command with core affinity set to the target core \
+		# disable gc for reproducibility, warmup on for the experimental python 3.13 JIT \
+		taskset -c $$TARGET_CORE $(BENCHMARKCMD) --benchmark-disable-gc --benchmark-warmup=on --benchmark-warmup-iterations=1 --benchmark-min-rounds=10000 --benchmark-histogram=./images/benchmark-$(DATEANDTIME) $(EXTRA_BENCH_ARGS) ./jsonpickle_benchmarks.py; \
+	else \
+	    $(BENCHMARKCMD) --benchmark-disable-gc --benchmark-warmup=on --benchmark-warmup-iterations=1 --benchmark-min-rounds=10000 --benchmark-histogram=./images/benchmark-$(DATEANDTIME) $(EXTRA_BENCH_ARGS) ./jsonpickle_benchmarks.py; \
+		echo "The 'benchmark' target has much less noise on Linux, try running it on there!"; \
+	fi
 .PHONY: benchmark
 
 doc::

=== docs/requirements.txt ===
jaraco.packaging
rst.linker
Sphinx

=== debian/changelog ===
jsonpickle (4.0.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix test_multindex_dataframe_roundtrip on 32-bit architectures (closes:
    #1103146).

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Apr 2025 02:24:50 +0100

jsonpickle (4.0.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Feb 2025 18:34:19 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: John Paulett <john@paulett.org>,
            Jan Dittberner <jandd@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                pybuild-plugin-pyproject,
                python3-all,
                python3-bson <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export PYBUILD_DESTDIR=debian/python3-jsonpickle

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	find $(CURDIR) -name .coverage -delete

ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
execute_before_dh_sphinxdoc:
	JSONPICKLE_SPHINX_DISABLE=intersphinx sphinx-build -b html docs/ $(CURDIR)/debian/python-jsonpickle-doc/usr/share/doc/python-jsonpickle-doc/html
endif

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg \
https://pypi.debian.net/jsonpickle/jsonpickle-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
